--Weapon made by darkill (www.darkill.xooit.com)

--Table settings
if darkill==nil then darkill={} end
darkill.shotgun2={}
darkill.shotgun2.bullet={}

darkill.shotgun2.gfx_wpn=loadgfx("weapons/shotgun.bmp")
setmidhandle(darkill.shotgun2.gfx_wpn)
darkill.shotgun2.gfx_pro=loadgfx("weapons/shot.bmp")			
setmidhandle(darkill.shotgun2.gfx_pro)
darkill.shotgun2.sfx_attack=loadsfx("shotgun.wav")


--Weapon : shotgun

darkill.shotgun2.id=addweapon("darkill.shotgun2","Shotgun-2",darkill.shotgun2.gfx_wpn,2,3)
darkill.shotgun2.ammo = 2
--Draw function

function darkill.shotgun2.draw()
	setblend(blend_alpha)
	setalpha(1)
	setcolor(255,255,255)
	drawinhand(darkill.shotgun2.gfx_wpn,6,0)
	--Barre de munitions :
	if darkill.shotgun2.ammo-weapon_shots>0 then
		hudammobar(darkill.shotgun2.ammo-weapon_shots, darkill.shotgun2.ammo)
	end
	--Viseur :
	if darkill.shotgun2.ammo-weapon_shots>0 then
		hudcrosshair(7,3)
	end
end



--Attack function

function darkill.shotgun2.attack(attack)
if weapon_timer>0 then
	weapon_timer = weapon_timer-1
end
	if (weapon_shots<darkill.shotgun2.ammo) and attack==1 and weapon_timer<=0 then
			useweapon(0)
			weapon_timer = 30
			playsound(darkill.shotgun2.sfx_attack)
			weapon_shots = weapon_shots+1
			for i=0,1,1 do
				id=createprojectile(darkill.shotgun2.bullet.id)
				projectiles[id]={}
				rot=getplayerrotation(0)+(i*5)
				-- Ignore collision with current player at beginning
				projectiles[id].ignore=playercurrent()
				-- Set initial position of projectile
				projectiles[id].x=getplayerx(0)+(7*getplayerdirection(0))-math.sin(math.rad(rot))*5.0
				projectiles[id].y=getplayery(0)+3+math.cos(math.rad(rot))*5.0
				-- Set speed of projectile
				projectiles[id].sx=math.sin(math.rad(rot))*15.0
				projectiles[id].sy=-math.cos(math.rad(rot))*15.0
				-- Initial movement
				projectiles[id].x=projectiles[id].x-projectiles[id].sx*1.5
				projectiles[id].y=projectiles[id].y-projectiles[id].sy*1.5
				for i=1,3,1 do
					if darkill.shotgun2.bullet.move(id)==1 then
						break
					end
				end
			end
			recoil(3)
		if (weapon_shots>=darkill.shotgun2.ammo) then
			endturn()
		end
	end
end

--Projectile : Bullet

--Add projectile
darkill.shotgun2.bullet.id=addprojectile("darkill.shotgun2.bullet") 
--Draw
function darkill.shotgun2.bullet.draw(id)
setblend(blend_light)
setalpha(1)
setcolor(255,125,0)
setscale(1,1)
setrotation(math.deg(math.atan2(projectiles[id].sx,-projectiles[id].sy)))
drawimage(darkill.shotgun2.gfx_pro,projectiles[id].x,projectiles[id].y)
outofscreenarrow(projectiles[id].x,projectiles[id].y)
end

--Update
function darkill.shotgun2.bullet.update(id)
projectiles[id].sx=projectiles[id].sx+getwind()*0.02
projectiles[id].sy=projectiles[id].sy+getgravity()*0.75
--move
darkill.shotgun2.bullet.move(id)
end

function darkill.shotgun2.bullet.move(id)
rot=math.deg(math.atan2(projectiles[id].sx,-projectiles[id].sy))
msubt=math.ceil(math.max(math.abs(projectiles[id].sx),math.abs(projectiles[id].sy))/3)
msubx=projectiles[id].sx/msubt
msuby=projectiles[id].sy/msubt
for i=1,msubt, 1 do
projectiles[id].x=projectiles[id].x+msubx
projectiles[id].y=projectiles[id].y+msuby
	if collision(col3x3,projectiles[id].x+math.sin(math.rad(rot))*20,projectiles[id].y-math.cos(math.rad(rot))*20,1,1)==1 then
		if terraincollision()==1 or playercollision()~=projectiles[id].ignore then
			if playercollision()~=0 then
				playerpush(playercollision(), projectiles[id].sx/8.0,projectiles[id].sy/8.0)
				playerdamage(playercollision(),10)
				blood(projectiles[id].x+math.sin(math.rad(rot))*20,projectiles[id].y-math.cos(math.rad(rot))*20)
			end
			terrainexplosion(projectiles[id].x+math.sin(math.rad(rot))*20,projectiles[id].y-math.cos(math.rad(rot))*20,9,2)
			playsound(sfx_ricochet1)
			particle(p_smoke,projectiles[id].x+math.sin(math.rad(rot))*21,projectiles[id].y-math.cos(math.rad(rot))*21)
			particlefadealpha(0.004)
			particle(p_muzzle,projectiles[id].x+math.sin(math.rad(rot))*21,projectiles[id].y-math.cos(math.rad(rot))*21)
			freeprojectile(id)
			return 1
		end
	else
		projectiles[id].ignore=0
	end
	--Water
	if (projectiles[id].y)>getwatery()+5 then
		particle(p_waterhit,projectiles[id].x,projectiles[id].y)
		if math.random(1,2)==1 then
			playsound(sfx_hitwater2)
		else
			playsound(sfx_hitwater3)
		end
		freeprojectile(id)
		return 1
	end
end
end










